FLAM4SEPA-API FLAM4 SEPA Archive Interface (z/OS only)

Data Fields
F4sMigrateIn Struct Reference
Data types

Input parameter structure to migrate the signature file of the SEPA archive. More...

`#include <FL4SEPA.h>`

## Data Fields
C08 | acDsnSig [F4S_DSNAMELEN]
| DSN for signature FLAMFILE of SEPA archive. More...
C08 | acDsnTra [F4S_DSNAMELEN]
| DSN for transaction FLAMFILE of SEPA archive. More...

## Detailed Description

Input parameter structure to migrate the signature file of the SEPA archive.

This structure consists of two data set names. The first DSN defines the signature file to be rewritten (remove, disp=new allocation, open write, close and de-allocation). The second name is the transaction data set of the SEPA archive.

Migration is only executed if the signature file is in an older version than the current version of the load module or if the signature length has changed. Otherwise, the signature file is not re-written. To rewrite the signature file, the migrate function calls the generate function internally.

# The data structure in COBOL

    01 LG-PARMS.
       05 LG-PARMS-IN-DSNS.
          10  DSN-SIG  PIC X(44) VALUE "FLAM.F4S21.SIGDAT.VR8".
          10  DSN-TRA  PIC X(44) VALUE "FLAM.F4S21.TRADAT.VR8".

## Field Documentation

## ◆ acDsnSig

C08 F4sMigrateIn::acDsnSig[F4S_DSNAMELEN]

DSN for signature FLAMFILE of SEPA archive.

## ◆ acDsnTra

C08 F4sMigrateIn::acDsnTra[F4S_DSNAMELEN]

DSN for transaction FLAMFILE of SEPA archive.

The documentation for this struct was generated from the following file:

- FL4SEPA.h